List all Adjustment objects v2

Returns a list of Adjustments that match the provided filters.

Learn more about calling API v2 endpoints.

Parameters

  • adjusted_flowstring

    Filter for Adjustments linked to a Flow.

  • createdtimestamp

    Filter for objects created at the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

  • created_gttimestamp

    Filter for objects created after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

  • created_gtetimestamp

    Filter for objects created on or after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

  • created_lttimestamp

    Filter for objects created before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

  • created_ltetimestamp

    Filter for objects created on or before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

  • limitinteger

    The page limit.

  • pagestring

    The page token.

Returns

Response attributes

  • dataarray of objects

    List of Adjustment objects.

  • next_page_urlnullable string

    The next page URL.

  • previous_page_urlnullable string

    The previous page URL.

404not_found

The resource wasn’t found.

GET /v2/money_management/adjustments
curl https://api.stripe.com/v2/money_management/adjustments \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-11-17.preview"
Response
{
"data": [
{
"id": "adj_65Pj770ytFhPwgkQg0116Pj6mS0dSQaN2JL1S0NhRweDjE",
"object": "v2.money_management.adjustment",
"adjusted_flow": {
"outbound_payment": "obp_65OAfT9tVl3u223h0he16NybHIZ4SQ3LORe4rpuNGDIKCO",
"type": "outbound_payment"
},
"amount": {
"value": 100,
"currency": "usd"
},
"created": "2024-01-18T00:08:23.488Z",
"description": "Stripe credit",
"financial_account": "fa_65Pj6mdWMT1K5pw0kSK16Pj6mS0dSQaN2JL1S0NhRweTZY",
"livemode": true,
"receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZQT1FKUzdSU1FzMnFGVDFJektXSXlHKJOXtLYGMgZkVRf7VbI6SJRp7IPsVDBFSlQo5pcqfVA-rhUM1vwykiziz5767yzBhMdFWTHS31y9b_jVoQGdDDSkdFA0I4n9rtJL0tv1zeOu5hRHAW76vP"
},
{
"id": "adj_65PlYXryTmMdhykXmsV16PlJT00CSQOY87ottjLI5jUDbk",
"object": "adjustment",
"adjusted_flow": null,
"amount": {
"value": -225,
"currency": "usd"
},
"created": "2024-01-14T17:50:12.707Z",
"description": "Stripe debit",
"financial_account": "fa_65Pj6mdWMT1K5pw0kSK16Pj6mS0dSQaN2JL1S0NhRweTZY",
"livemode": true,
"receipt_url": "https://payments.stripe.com/transaction_receipt/CCMaIwohd2tzcF90ZXN0XzZQT1FKUzdSU1FzMnFGVDFJektXSXlHKJOXtLYGMgY1rQ-bJNM6SJRUrOplKjRLGucVqBUamJmezkcPTNYB-quiy7FlWZeHb02zbzhb00Ticm7zPLN7klTNzZ1ZPc5ImTanyhIYt5Xn_xXihPpFJP"
}
]
}

Adjustment event types v2

This is a list of all public thin events we currently send for updates to Adjustment, which are continually evolving and expanding. The payload of thin events is unversioned. During processing, you must fetch the versioned event from the API or fetch the resource’s current state.

Event types

Type
Filter events by type